## robocode.control.snapshot
Interface ITurnSnapshot

    public interface ITurnSnapshot

Interface of a battle turn snapshot at a specific time in a battle.

Since:
  1.6.2
Author:
  Pavel Savara (original), Flemming N. Larsen (contributor)

Method Summary
`IBulletSnapshot[]` `getBullets()` Returns a list of snapshots for the bullets that are currently on the battlefield.
`IScoreSnapshot[]` `getIndexedTeamScores()` Returns an array of indexed scores grouped by teams that can be used to determine the score for the individual team based on the team index.
`IRobotSnapshot[]` `getRobots()` Returns a list of snapshots for the robots participating in the battle.
`int` `getRound()` Returns the current round of the battle.
`IScoreSnapshot[]` `getSortedTeamScores()` Returns an array of sorted scores grouped by teams, ordered by position.
`int` `getTPS()` Returns the current TPS (turns per second) rate.
`int` `getTurn()` Returns the current turn in the battle round.

Method Detail

### getRobots

    IRobotSnapshot[] getRobots()

  Returns a list of snapshots for the robots participating in the battle.

  Returns:
    a list of snapshots for the robots participating in the battle.

### getBullets

    IBulletSnapshot[] getBullets()

  Returns a list of snapshots for the bullets that are currently on the battlefield.

  Returns:
    a list of snapshots for the bullets that are currently on the battlefield.

### getTPS

    int getTPS()

  Returns the current TPS (turns per second) rate.

  Returns:
    the current TPS (turns per second) rate.

### getRound

    int getRound()

  Returns the current round of the battle.

  Returns:
    the current round of the battle.

### getTurn

    int getTurn()

  Returns the current turn in the battle round.

  Returns:
    the current turn in the battle round.

### getSortedTeamScores

    IScoreSnapshot[] getSortedTeamScores()

  Returns an array of sorted scores grouped by teams, ordered by position. Note that the team index cannot be used to determine the score with the sorted scores.

  Returns:
    an array of sorted IScoreSnapshots, where the bigger scores are placed first in the list.
  See Also:
    `ITurnSnapshot.getIndexedTeamScores()`

### getIndexedTeamScores

    IScoreSnapshot[] getIndexedTeamScores()

  Returns an array of indexed scores grouped by teams that can be used to determine the score for the individual team based on the team index.

  Returns:
    an array of indexed IScoreSnapshots, where each index matches an index of a specific team.
  See Also:
    `ITurnSnapshot.getSortedTeamScores()`

Copyright © 2010 Robocode. All Rights Reserved.